Subject: bug#56998: 29.0.50; quail input methods broken (input-method-alist empty) on master (since 261d6afd6)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Aug 2022 16:11:33 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked], "'Eli Zaretskii'" <[email-masked]>
> Date: Fri, 05 Aug 2022 14:39:32 +0200
> 
> If I say
> 
> make bootstrap; ./src/emacs -Q
> 
> then `input-method-alist' is nil.  If I then say
> 
> touch lisp/loadup.el; make; ./src/emacs -Q
> 
> then `input-method-alist' is filled as it should be.  So it seems like
> in the first-build case, we're not...  er...  loading something we
> should be loading?  But on the second build, we are.
> 
> Eli, you're more familiar with the quail stuff than I am.  Do you have
> any idea what could be happening here?

Is the file lisp/leim/leim-list.el being produced and exists when
Emacs is dumped?